@mixin clearfix {
  &::after {
    content: "";
    display: table;
    clear: both;
  }
}

@mixin absCenter {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

// MEDIA QUERY MANAGER

/*
$breakpoint argument choices:
- phone
- tab-port
- tab-land
- big-desktop

ORDER: base + typography > general layout + grid > page layout > components
 */
@mixin respond($breakpoint) {
  @if $breakpoint == phone {
    // 600px
    @media only screen and (max-width: 37.5em) {
      @content;
    }
  }
  @if $breakpoint == tab-port {
    // 900px
    @media only screen and (max-width: 56.25em) {
      @content;
    }
  }
  @if $breakpoint == tab-land {
    // 1200px
    @media only screen and (max-width: 75em) {
      @content;
    }
  }
  @if $breakpoint == big-desktop {
    // 1800px
    @media only screen and (min-width: 112.5em) {
      @content;
    }
  }
}
